Name:           nde-widget 
Version:        0.0.1
Release:        6%{?dist}
License:        LGPLv2+
Summary:        nde-widget for Qt-based applications

Source0:        nde-widget-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  qt5-qtbase-devel

%description
Theme to let Qt applications fit nicely into ndewidget desktop.


%package nde-widget-common
Summary:        Translations for nde-lib
Requires:       nde-lib
Obsoletes:      nde-lib-l10n < 0.0.1

%description nde-widget-common
This package provides translations for the nde-lib package.


%prep
%setup -q -n %{name}-%{version}
mkdir -p "%{_target_platform}/lib"
pushd "%{_target_platform}/lib"
%{cmake} ../../designer
popd
make %{?_smp_mflags} -C "%{_target_platform}/lib"

mkdir -p "%{_target_platform}/test"
pushd "%{_target_platform}/test"
%{cmake} ../../
popd
make %{?_smp_mflags} -C "%{_target_platform}/test"


%install
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}/lib"
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}/test"


%files -n nde-widget
%doc README.md
/usr/bin/nde-style
/usr/lib64/libNde-Widget.so
%{_includedir}/animations/
%{_includedir}/designer/

%changelog
* Wed Feb 03 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-6
- 添加设计的控件进动态库

* Wed Sep 30 2020 He Leilei <he.leilei@zte.com.cn> - 0.0.1-5
- 修复toggle控件水波纹动画位置显示不正确的bug，修复设置toggle控件状态不生效的问题

* Wed Jul 01 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-4
- 修复控件点击无效的bug

* Wed Jun 03 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-3
- add libNde-Widget.so to package

* Mon May 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-2
- Rename(984)

* Mon May 18 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- add test programe into pkg.

